Subject: PEONIES

From: [email-masked] (Ruth Evans)
Date: Tue, 21 Mar 95 15:50:11

>In <[email-masked]> [email-masked] (Bonnie Pa
>writes:

>>
>>I planted peonies several years ago.  They come up every year,
>>but never bloom.  What am I doing wrong?  (I'm in zone 7)
>>

Bonnie, peonies can take several years to be established.  In addition,
if you plant them too deep, the literature I've read says they won't
bloom.  Last year was the third year mine had been in the ground and I
got my first major blooms.  This year, they're coming up bigger and I
hope with more blooms than last year!

Ruth Evans
     __             ___        __
__  ////\  /\/\  /\/ _//\ __  /// | Anne McCaffrey: Master Word Crafter|
\\\//// '\/    \/ / /\/ '\\\\///  | Princess:  Cutest Wiggle Tail Ever!|
 \XX/ \/\/\/\/\/\/\__/\/\/ \XX/   | [email-masked] or [email-masked] |